import {PositiveInteger} from '../../numeric';

export interface Session {
  agencyNumber(): string | undefined;
  agentEntityId(): PositiveInteger | undefined;
  agentId(): number | undefined;
  agentName(): string | undefined;
  getData(): Record<string, any>;
  isInternal(): boolean;
  isLoggedIn(): boolean;
  userName(): string | undefined;
}
